"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Button = void 0;
var _reactNative = require("react-native");
var _react = _interopRequireDefault(require("react"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const Button = _ref => {
  let {
    title,
    onPress,
    displayBackground,
    displayIcon,
    imageUrl,
    containerStyle,
    textStyle
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, null, !displayIcon ? /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    style: displayBackground && _reactNative.StyleSheet.flatten([style.container, containerStyle]),
    onPress: onPress
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: _reactNative.StyleSheet.flatten([style.labelStyle, textStyle])
  }, title)) : /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    style: [style.imageButtonContainer, containerStyle],
    onPress: onPress
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: _reactNative.StyleSheet.flatten([style.labelStyle, textStyle])
  }, title), imageUrl && /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    style: style.tinyLogo,
    source: {
      uri: imageUrl
    }
  })));
};
exports.Button = Button;
const style = _reactNative.StyleSheet.create({
  container: {
    borderRadius: 5,
    padding: 10,
    alignItems: 'center',
    justifyContent: 'center',
    borderWidth: 1,
    borderColor: 'black'
  },
  imageButtonContainer: {
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center'
  },
  tinyLogo: {
    width: 30,
    height: 30,
    marginLeft: 10
  },
  labelStyle: {
    textAlign: 'center',
    color: 'black',
    fontSize: 20
  }
});
//# sourceMappingURL=button.js.map