"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.checkBoxStyle = exports.CheckBox = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const CheckBox = _ref => {
  let {
    selected = false,
    renderIconComponent,
    renderSelectedIconComponent,
    onChange,
    label,
    btnTestID,
    containerStyle,
    wrapperStyle,
    disable = false,
    iconRight = false,
    labelStyle
  } = _ref;
  const [isSelected, setIsSelected] = (0, _react.useState)(selected);
  const renderIcon = () => {
    if (isSelected && /*#__PURE__*/(0, _react.isValidElement)(renderSelectedIconComponent)) return renderSelectedIconComponent;
    if (!isSelected && /*#__PURE__*/(0, _react.isValidElement)(renderIconComponent)) return renderIconComponent;
    return isSelected ? /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
      source: require('../assets/image/checkedIcon.png')
    }) : /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
      source: require('../assets/image/unCheckedIcon.png')
    });
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    testID: btnTestID,
    accessibilityLabel: btnTestID,
    activeOpacity: disable ? 0.5 : 1,
    onPress: () => {
      setIsSelected(!isSelected);
      onChange(isSelected);
    },
    disabled: disable
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: wrapperStyle ? wrapperStyle : checkBoxStyle.wrapper
  }, iconRight && label && /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: checkBoxStyle.labelContainer
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: labelStyle ? labelStyle : checkBoxStyle.lableStyle
  }, label)), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: containerStyle ? containerStyle : checkBoxStyle.container
  }, renderIcon()), !iconRight && label && /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [checkBoxStyle.labelContainer, checkBoxStyle.spaceStyle]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: labelStyle ? labelStyle : checkBoxStyle.lableStyle
  }, label))));
};
exports.CheckBox = CheckBox;
const checkBoxStyle = _reactNative.StyleSheet.create({
  container: {
    marginLeft: 10,
    marginRight: 10,
    padding: 10
  },
  labelContainer: {
    flex: 1,
    padding: 5
  },
  lableStyle: {
    color: 'greyLight',
    fontSize: 12,
    marginLeft: 10,
    lineHeight: 18
  },
  wrapper: {
    flexDirection: 'row',
    alignItems: 'center'
  },
  spaceStyle: {
    marginRight: 5
  }
});
exports.checkBoxStyle = checkBoxStyle;
//# sourceMappingURL=checkBox.js.map