"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DashedLineAxisType = exports.DashedLine = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
let DashedLineAxisType;
exports.DashedLineAxisType = DashedLineAxisType;
(function (DashedLineAxisType) {
  DashedLineAxisType[DashedLineAxisType["HORIZONTAL"] = 0] = "HORIZONTAL";
  DashedLineAxisType[DashedLineAxisType["VERTICAL"] = 1] = "VERTICAL";
})(DashedLineAxisType || (exports.DashedLineAxisType = DashedLineAxisType = {}));
const DashedLine = _ref => {
  let {
    axis = DashedLineAxisType.HORIZONTAL,
    dashGap = 2,
    dashLength = 4,
    dashThickness = 2,
    dashColor = '#000',
    dashStyle,
    containerStyle
  } = _ref;
  const [lineLength, setLineLength] = (0, _react.useState)(0);
  const isRow = axis === DashedLineAxisType.HORIZONTAL;
  const numOfDashes = Math.ceil(lineLength / (dashGap + dashLength));
  const dashStyles = (0, _react.useMemo)(() => ({
    width: isRow ? dashLength : dashThickness,
    height: isRow ? dashThickness : dashLength,
    marginRight: isRow ? dashGap : 0,
    marginBottom: isRow ? 0 : dashGap,
    backgroundColor: dashColor
  }), [dashColor, dashGap, dashLength, dashThickness, isRow]);
  const onLayout = event => {
    const {
      width,
      height
    } = event.nativeEvent.layout;
    setLineLength(isRow ? width : height);
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    testID: "dashedLineMainView",
    onLayout: onLayout,
    style: [containerStyle, isRow ? styles.row : styles.column]
  }, [...Array(numOfDashes)].map((_, i) => {
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      key: i,
      style: [dashStyles, dashStyle]
    });
  }));
};
exports.DashedLine = DashedLine;
const styles = _reactNative.StyleSheet.create({
  row: {
    flexDirection: 'row'
  },
  column: {
    flexDirection: 'column'
  }
});
//# sourceMappingURL=DashedLine.js.map