"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Divider = void 0;
var _reactNative = require("react-native");
var _react = _interopRequireDefault(require("react"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const Divider = _ref => {
  let {
    dividerStyle,
    height,
    thickness,
    color
  } = _ref;
  const addStyle = {};
  if (height) {
    addStyle.marginVertical = (height - (thickness ?? 1)) / 2;
  }
  if (thickness) {
    addStyle.height = thickness;
  }
  if (color) {
    addStyle.backgroundColor = color;
  }
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _reactNative.StyleSheet.flatten([style.divider, addStyle, dividerStyle])
  });
};
exports.Divider = Divider;
const style = _reactNative.StyleSheet.create({
  divider: {
    alignSelf: 'center',
    backgroundColor: 'black',
    height: 1,
    width: '100%'
  }
});
//# sourceMappingURL=Divider.js.map