"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Dropdown = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const Dropdown = _ref => {
  let {
    label,
    data,
    onSelect,
    mainContainerStyle,
    listContainerStyle,
    itemStyle
  } = _ref;
  const DropdownButton = (0, _react.useRef)();
  const [visible, setVisible] = (0, _react.useState)(false);
  const [selected, setSelected] = (0, _react.useState)(undefined);
  const [dropdownTop, setDropdownTop] = (0, _react.useState)(0);
  const toggleDropdown = () => {
    visible ? setVisible(false) : openDropdown();
  };
  const openDropdown = () => {
    DropdownButton.current.measure((_fx, _fy, _w, h, _px, py) => {
      setDropdownTop(py + h);
    });
    setVisible(true);
  };
  const onItemPress = item => {
    setSelected(item);
    if (onSelect) {
      onSelect(item);
    }
    setVisible(false);
  };
  const renderItem = _ref2 => {
    let {
      item
    } = _ref2;
    return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
      testID: "renderItemTouchableOpacity1",
      style: _reactNative.StyleSheet.flatten([styles.item, itemStyle]),
      onPress: () => onItemPress(item)
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, item.label));
  };
  const renderDropdown = () => {
    return /*#__PURE__*/_react.default.createElement(_reactNative.Modal, {
      visible: visible,
      transparent: true,
      animationType: "none"
    }, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
      testID: "renderDropdownTouchableOpacity",
      style: _reactNative.StyleSheet.flatten([styles.overlay, mainContainerStyle]),
      onPress: () => setVisible(false)
    }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: _reactNative.StyleSheet.flatten([styles.dropdown, listContainerStyle, {
        top: dropdownTop
      }])
    }, /*#__PURE__*/_react.default.createElement(_reactNative.FlatList, {
      data: data,
      renderItem: renderItem,
      keyExtractor: (_, index) => index.toString()
    }))));
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    testID: "mainTouchableOpacity",
    ref: DropdownButton,
    style: styles.button,
    onPress: toggleDropdown
  }, renderDropdown(), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.buttonText
  }, selected && selected.label || label));
};
exports.Dropdown = Dropdown;
const styles = _reactNative.StyleSheet.create({
  button: {
    flexDirection: 'row',
    alignItems: 'center',
    backgroundColor: '#efefef',
    height: 50,
    zIndex: 1
  },
  buttonText: {
    flex: 1,
    textAlign: 'center'
  },
  icon: {
    marginRight: 10
  },
  dropdown: {
    position: 'absolute',
    backgroundColor: '#fff',
    width: '100%',
    shadowColor: '#000000',
    shadowRadius: 4,
    shadowOffset: {
      height: 4,
      width: 0
    },
    shadowOpacity: 0.5
  },
  overlay: {
    width: '100%',
    height: '100%'
  },
  item: {
    paddingHorizontal: 10,
    paddingVertical: 10,
    borderBottomWidth: 1
  }
});
//# sourceMappingURL=dropDown.js.map