"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.HeaderAppBar = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const {
  width
} = _reactNative.Dimensions.get('window');
const HeaderAppBar = _ref => {
  let {
    onPressRightIcon,
    onPressLeftIcon,
    rightIcon,
    centerIcon,
    leftIcon,
    containerStyle
  } = _ref;
  const renderLeftComponent = () => {
    return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
      onPress: onPressLeftIcon
    }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.itemContainer
    }, leftIcon && leftIcon()));
  };
  const renderRightComponent = () => {
    return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
      onPress: onPressRightIcon
    }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.rightItemContainer
    }, rightIcon && rightIcon()));
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _reactNative.StyleSheet.flatten([styles.containerStyle, containerStyle])
  }, renderRightComponent(), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.titleContainerWrapper
  }, centerIcon && centerIcon()), renderLeftComponent());
};
exports.HeaderAppBar = HeaderAppBar;
const styles = _reactNative.StyleSheet.create({
  containerStyle: {
    backgroundColor: 'white',
    height: 55,
    paddingHorizontal: 0.04 * width,
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
    paddingVertical: 8
  },
  titleContainerWrapper: {
    flex: 1,
    alignContent: 'center',
    alignItems: 'center',
    width: '100%'
  },
  logo: {
    height: 30,
    width: 140,
    alignItems: 'center'
  },
  itemContainer: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'flex-end'
  },
  rightItemContainer: {
    flexDirection: 'row',
    alignItems: 'center'
  }
});
//# sourceMappingURL=headerAppBar.js.map