"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.styles = exports.HorizontalProgress = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _colors = require("../../shared/colors");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const HorizontalProgress = _ref => {
  let {
    color = 'blue',
    initialProgress = 0,
    progress = 0,
    duration = 2000
  } = _ref;
  const [progressState, setProgressState] = (0, _react.useState)(0);
  (0, _react.useEffect)(() => {
    setTimeout(() => {
      animateProgress();
    }, 300);
  }, [initialProgress]);
  const progAnimation = new _reactNative.Animated.Value(initialProgress);
  const animateProgress = () => {
    progAnimation.addListener(_ref2 => {
      let {
        value
      } = _ref2;
      setProgressState(value);
    });
    _reactNative.Animated.timing(progAnimation, {
      toValue: progress,
      duration,
      easing: _reactNative.Easing.quad,
      useNativeDriver: true
    }).start();
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.Animated.View, {
    testID: 'progress',
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Animated.View, {
    style: [styles.progressBarStyle, {
      backgroundColor: color,
      width: `${progressState}%`
    }]
  }));
};
exports.HorizontalProgress = HorizontalProgress;
const styles = _reactNative.StyleSheet.create({
  container: {
    width: '100%',
    height: 8,
    borderRadius: 4,
    backgroundColor: _colors.colors.greyLight
  },
  progressBarStyle: {
    ..._reactNative.StyleSheet.absoluteFillObject,
    backgroundColor: _colors.colors.blue,
    borderRadius: 6
  }
});
exports.styles = styles;
//# sourceMappingURL=HorizontalProgress.js.map