"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.loadingStateStyle = exports.SpinnerSizeType = exports.Spinner = void 0;
var _reactNative = require("react-native");
var _react = _interopRequireDefault(require("react"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
let SpinnerSizeType;
exports.SpinnerSizeType = SpinnerSizeType;
(function (SpinnerSizeType) {
  SpinnerSizeType["large"] = "large";
  SpinnerSizeType["small"] = "small";
})(SpinnerSizeType || (exports.SpinnerSizeType = SpinnerSizeType = {}));
const Spinner = _ref => {
  let {
    containerStyle,
    color,
    size = SpinnerSizeType.large
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    testID: 'loading_view',
    style: _reactNative.StyleSheet.flatten([loadingStateStyle.container, containerStyle])
  }, /*#__PURE__*/_react.default.createElement(_reactNative.ActivityIndicator, {
    testID: 'activityIndicator',
    size: size,
    color: color
  }));
};
exports.Spinner = Spinner;
const loadingStateStyle = _reactNative.StyleSheet.create({
  container: {
    ..._reactNative.StyleSheet.absoluteFillObject,
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: 'transparent'
  }
});
exports.loadingStateStyle = loadingStateStyle;
//# sourceMappingURL=Spinner.js.map