"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.WrappedList = void 0;
var _reactNative = require("react-native");
var _react = _interopRequireDefault(require("react"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const WrappedList = _ref => {
  let {
    data,
    selectedStyle,
    selectedTextStyle,
    unselectedStyle,
    unSelectedTextStyle,
    onPress
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.mainContainer
  }, data.map((item, index) => /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    activeOpacity: 0.8,
    onPress: () => onPress(index),
    style: _reactNative.StyleSheet.flatten([styles.container, item.selected ? selectedStyle : unselectedStyle]),
    key: index
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: _reactNative.StyleSheet.flatten([styles.labelStyle, item.selected ? selectedTextStyle : unSelectedTextStyle]),
    children: item.title
  }))));
};
exports.WrappedList = WrappedList;
const styles = _reactNative.StyleSheet.create({
  mainContainer: {
    flex: 1,
    flexDirection: 'row',
    flexWrap: 'wrap',
    marginLeft: 10
  },
  container: {
    alignContent: 'center',
    justifyContent: 'center',
    paddingHorizontal: 10,
    marginHorizontal: 6,
    marginVertical: 5,
    backgroundColor: '#C3C3C3'
  },
  labelStyle: {
    fontSize: 16,
    lineHeight: 40,
    textAlign: 'left',
    color: 'primaryGrey'
  }
});
//# sourceMappingURL=wrappedList.js.map