import { Image, StyleSheet, Text, TouchableOpacity, View } from 'react-native';
import React from 'react';
export const Button = _ref => {
  let {
    title,
    onPress,
    displayBackground,
    displayIcon,
    imageUrl,
    containerStyle,
    textStyle
  } = _ref;
  return /*#__PURE__*/React.createElement(View, null, !displayIcon ? /*#__PURE__*/React.createElement(TouchableOpacity, {
    style: displayBackground && StyleSheet.flatten([style.container, containerStyle]),
    onPress: onPress
  }, /*#__PURE__*/React.createElement(Text, {
    style: StyleSheet.flatten([style.labelStyle, textStyle])
  }, title)) : /*#__PURE__*/React.createElement(TouchableOpacity, {
    style: [style.imageButtonContainer, containerStyle],
    onPress: onPress
  }, /*#__PURE__*/React.createElement(Text, {
    style: StyleSheet.flatten([style.labelStyle, textStyle])
  }, title), imageUrl && /*#__PURE__*/React.createElement(Image, {
    style: style.tinyLogo,
    source: {
      uri: imageUrl
    }
  })));
};
const style = StyleSheet.create({
  container: {
    borderRadius: 5,
    padding: 10,
    alignItems: 'center',
    justifyContent: 'center',
    borderWidth: 1,
    borderColor: 'black'
  },
  imageButtonContainer: {
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center'
  },
  tinyLogo: {
    width: 30,
    height: 30,
    marginLeft: 10
  },
  labelStyle: {
    textAlign: 'center',
    color: 'black',
    fontSize: 20
  }
});
//# sourceMappingURL=button.js.map