import React, { useState, isValidElement } from 'react';
import { StyleSheet, Text, View, TouchableOpacity, Image } from 'react-native';
export const CheckBox = _ref => {
  let {
    selected = false,
    renderIconComponent,
    renderSelectedIconComponent,
    onChange,
    label,
    btnTestID,
    containerStyle,
    wrapperStyle,
    disable = false,
    iconRight = false,
    labelStyle
  } = _ref;
  const [isSelected, setIsSelected] = useState(selected);
  const renderIcon = () => {
    if (isSelected && /*#__PURE__*/isValidElement(renderSelectedIconComponent)) return renderSelectedIconComponent;
    if (!isSelected && /*#__PURE__*/isValidElement(renderIconComponent)) return renderIconComponent;
    return isSelected ? /*#__PURE__*/React.createElement(Image, {
      source: require('../assets/image/checkedIcon.png')
    }) : /*#__PURE__*/React.createElement(Image, {
      source: require('../assets/image/unCheckedIcon.png')
    });
  };
  return /*#__PURE__*/React.createElement(TouchableOpacity, {
    testID: btnTestID,
    accessibilityLabel: btnTestID,
    activeOpacity: disable ? 0.5 : 1,
    onPress: () => {
      setIsSelected(!isSelected);
      onChange(isSelected);
    },
    disabled: disable
  }, /*#__PURE__*/React.createElement(View, {
    style: wrapperStyle ? wrapperStyle : checkBoxStyle.wrapper
  }, iconRight && label && /*#__PURE__*/React.createElement(View, {
    style: checkBoxStyle.labelContainer
  }, /*#__PURE__*/React.createElement(Text, {
    style: labelStyle ? labelStyle : checkBoxStyle.lableStyle
  }, label)), /*#__PURE__*/React.createElement(View, {
    style: containerStyle ? containerStyle : checkBoxStyle.container
  }, renderIcon()), !iconRight && label && /*#__PURE__*/React.createElement(View, {
    style: [checkBoxStyle.labelContainer, checkBoxStyle.spaceStyle]
  }, /*#__PURE__*/React.createElement(Text, {
    style: labelStyle ? labelStyle : checkBoxStyle.lableStyle
  }, label))));
};
export const checkBoxStyle = StyleSheet.create({
  container: {
    marginLeft: 10,
    marginRight: 10,
    padding: 10
  },
  labelContainer: {
    flex: 1,
    padding: 5
  },
  lableStyle: {
    color: 'greyLight',
    fontSize: 12,
    marginLeft: 10,
    lineHeight: 18
  },
  wrapper: {
    flexDirection: 'row',
    alignItems: 'center'
  },
  spaceStyle: {
    marginRight: 5
  }
});
//# sourceMappingURL=checkBox.js.map