import React from 'react';
import { TouchableOpacity, View, StyleSheet, Dimensions } from 'react-native';
const {
  width
} = Dimensions.get('window');
export const HeaderAppBar = _ref => {
  let {
    onPressRightIcon,
    onPressLeftIcon,
    rightIcon,
    centerIcon,
    leftIcon,
    containerStyle
  } = _ref;
  const renderLeftComponent = () => {
    return /*#__PURE__*/React.createElement(TouchableOpacity, {
      onPress: onPressLeftIcon
    }, /*#__PURE__*/React.createElement(View, {
      style: styles.itemContainer
    }, leftIcon && leftIcon()));
  };
  const renderRightComponent = () => {
    return /*#__PURE__*/React.createElement(TouchableOpacity, {
      onPress: onPressRightIcon
    }, /*#__PURE__*/React.createElement(View, {
      style: styles.rightItemContainer
    }, rightIcon && rightIcon()));
  };
  return /*#__PURE__*/React.createElement(View, {
    style: StyleSheet.flatten([styles.containerStyle, containerStyle])
  }, renderRightComponent(), /*#__PURE__*/React.createElement(View, {
    style: styles.titleContainerWrapper
  }, centerIcon && centerIcon()), renderLeftComponent());
};
const styles = StyleSheet.create({
  containerStyle: {
    backgroundColor: 'white',
    height: 55,
    paddingHorizontal: 0.04 * width,
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
    paddingVertical: 8
  },
  titleContainerWrapper: {
    flex: 1,
    alignContent: 'center',
    alignItems: 'center',
    width: '100%'
  },
  logo: {
    height: 30,
    width: 140,
    alignItems: 'center'
  },
  itemContainer: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'flex-end'
  },
  rightItemContainer: {
    flexDirection: 'row',
    alignItems: 'center'
  }
});
//# sourceMappingURL=headerAppBar.js.map