function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useState } from 'react';
import { StyleSheet, Image as DefaultImage } from 'react-native';
import FastImage from 'react-native-fast-image';
import { isNotEmpty, isNonEmptyArray } from '../../shared/utils';
const DEFAULT_IMAGE_SIZE = 24;
const DEFAULT_RADIUS_DIVIDER = 2;
export const TringImage = _ref => {
  let {
    name,
    size = DEFAULT_IMAGE_SIZE,
    style,
    backgroundColor = 'transparent',
    type = 'standard',
    resizeMode = 'contain',
    url,
    fallback = false,
    fallbackSource,
    defaultImageStyle,
    ...props
  } = _ref;
  const [showPlaceholder, setShowPlaceholder] = useState(false);
  const [isLoadEnd, setIsLoadEnd] = useState(false);
  const isRounded = type === 'round';
  const imageStyle = {
    height: size,
    width: size
  };
  const borderStyle = {
    borderRadius: isRounded ? size / DEFAULT_RADIUS_DIVIDER : 0,
    backgroundColor
  };
  let isValidImageUrl = true;
  const imageUrlPathArray = isNotEmpty(url) && (url === null || url === void 0 ? void 0 : url.split('/'));
  if (!imageUrlPathArray || !isNonEmptyArray(imageUrlPathArray) || imageUrlPathArray.length < 3 || !isNotEmpty(imageUrlPathArray[3])) {
    isValidImageUrl = false;
  }
  if (!isNotEmpty(name) && !isValidImageUrl) {
    name = fallback && fallbackSource ? fallbackSource : null;
  }
  const onLoadEnd = () => setIsLoadEnd(true);
  return /*#__PURE__*/React.createElement(React.Fragment, null, !isLoadEnd && fallback && fallbackSource && /*#__PURE__*/React.createElement(DefaultImage, {
    source: fallbackSource,
    style: [imageStyle, borderStyle, styles.defaultImage, defaultImageStyle]
  }), /*#__PURE__*/React.createElement(FastImage, _extends({
    style: StyleSheet.flatten([imageStyle, borderStyle, style]),
    source: name ? name : showPlaceholder ? fallbackSource : {
      uri: url
    },
    onError: () => !name && setShowPlaceholder(true),
    resizeMode: resizeMode,
    onLoadEnd: onLoadEnd
  }, props)));
};
const styles = StyleSheet.create({
  defaultImage: {
    position: 'absolute',
    top: 0,
    bottom: 0,
    left: 0,
    right: 0,
    overflow: 'hidden',
    width: '100%',
    height: '100%'
  }
});
//# sourceMappingURL=TringImage.js.map