function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useEffect, useImperativeHandle } from 'react';
import { Text, TextInput, StyleSheet, View, I18nManager } from 'react-native';
import { renderNode } from '../utilities';
const renderText = (content, defaultProps, style) => renderNode(Text, content, {
  ...defaultProps,
  style: StyleSheet.flatten([style, defaultProps && defaultProps.style])
});
const Input = (_ref, ref) => {
  let {
    containerStyle,
    disabled,
    disabledInputStyle,
    inputContainerStyle,
    leftIcon,
    leftIconContainerStyle,
    rightIcon,
    rightIconContainerStyle,
    labelContainerStyle,
    errorContainerStyle,
    inputStyle,
    errorProps,
    errorStyle,
    errorMessage,
    label,
    labelStyle,
    labelProps,
    renderErrorMessage,
    inputProps,
    onChangeText,
    onSubmitEditing
  } = _ref;
  const inputRef = React.useRef();
  useEffect(() => {
    I18nManager.isRTL && I18nManager.forceRTL(true);
  }, []);
  useImperativeHandle(ref, () => ({
    focus: () => {
      inputRef.current.focus();
    },
    blur: () => {
      inputRef.current.blur();
    },
    clear: () => {
      inputRef.current.clear();
    },
    isFocused: () => {
      inputRef.current.isFocused();
    },
    setNativeProps: nativeProps => {
      inputRef.current.setNativeProps(nativeProps);
    }
  }));
  const hideErrorMessage = !renderErrorMessage && !errorMessage;
  const renderLeftIcon = () => {
    if (!leftIcon) return null;
    return /*#__PURE__*/React.createElement(View, {
      style: StyleSheet.flatten([styles.iconContainer, leftIconContainerStyle])
    }, renderNode(null, leftIcon));
  };
  const renderRightIcon = () => {
    if (!rightIcon) return null;
    return /*#__PURE__*/React.createElement(View, {
      style: StyleSheet.flatten([styles.iconContainer, rightIconContainerStyle])
    }, renderNode(null, rightIcon));
  };
  const renderErrorText = () => /*#__PURE__*/React.createElement(View, {
    style: StyleSheet.flatten([styles.defaultLabelContainer, errorContainerStyle])
  }, /*#__PURE__*/React.createElement(Text, _extends({}, errorProps, {
    style: StyleSheet.flatten([styles.defaultErrorStyle, errorStyle && errorStyle, hideErrorMessage && styles.hideErrorStyle])
  }), errorMessage));
  return /*#__PURE__*/React.createElement(View, {
    style: StyleSheet.flatten([styles.container, containerStyle])
  }, /*#__PURE__*/React.createElement(View, {
    style: StyleSheet.flatten([styles.defaultLabelContainer, labelContainerStyle])
  }, renderText(label, {
    style: labelStyle,
    ...labelProps
  }, styles.defaultLabelStyle)), /*#__PURE__*/React.createElement(View, {
    style: StyleSheet.flatten([styles.defaultInputContainerStyle, inputContainerStyle])
  }, renderLeftIcon(), /*#__PURE__*/React.createElement(TextInput, _extends({
    ref: inputRef,
    underlineColorAndroid: "transparent",
    editable: !disabled,
    style: StyleSheet.flatten([styles.defaultInputStyle, inputStyle, disabled && styles.disabledInput, disabled && disabledInputStyle, I18nManager.isRTL && styles.rtlInputStyle]),
    onChangeText: onChangeText && onChangeText,
    onSubmitEditing: onSubmitEditing && onSubmitEditing
  }, inputProps)), renderRightIcon()), renderErrorText());
};
export const InputField = /*#__PURE__*/React.forwardRef(Input);
const styles = StyleSheet.create({
  container: {
    width: '100%',
    paddingHorizontal: 10
  },
  disabledInput: {
    opacity: 0.5
  },
  iconContainer: {
    height: 40,
    justifyContent: 'center',
    alignItems: 'center',
    paddingRight: 4,
    marginVertical: 4
  },
  defaultLabelStyle: {
    fontSize: 16,
    color: 'grey',
    fontWeight: 'bold'
  },
  defaultInputContainerStyle: {
    flexDirection: 'row',
    borderBottomWidth: 1,
    alignItems: 'center',
    borderColor: 'grey'
  },
  defaultInputStyle: {
    color: 'black',
    fontSize: 18,
    flex: 1,
    minHeight: 40,
    textAlign: 'left'
  },
  defaultErrorStyle: {
    marginVertical: 5,
    fontSize: 12,
    color: 'red'
  },
  hideErrorStyle: {
    height: 0,
    margin: 0,
    padding: 0
  },
  rtlInputStyle: {
    textAlign: 'right'
  },
  defaultLabelContainer: {
    flex: 1,
    alignItems: 'flex-start'
  }
});
//# sourceMappingURL=inputField.js.map