import { View, ActivityIndicator, StyleSheet } from 'react-native';
import React from 'react';
export let SpinnerSizeType;
(function (SpinnerSizeType) {
  SpinnerSizeType["large"] = "large";
  SpinnerSizeType["small"] = "small";
})(SpinnerSizeType || (SpinnerSizeType = {}));
export const Spinner = _ref => {
  let {
    containerStyle,
    color,
    size = SpinnerSizeType.large
  } = _ref;
  return /*#__PURE__*/React.createElement(View, {
    testID: 'loading_view',
    style: StyleSheet.flatten([loadingStateStyle.container, containerStyle])
  }, /*#__PURE__*/React.createElement(ActivityIndicator, {
    testID: 'activityIndicator',
    size: size,
    color: color
  }));
};
export const loadingStateStyle = StyleSheet.create({
  container: {
    ...StyleSheet.absoluteFillObject,
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: 'transparent'
  }
});
//# sourceMappingURL=Spinner.js.map