import { StyleSheet, Text, TouchableOpacity, View } from 'react-native';
import React from 'react';
export const WrappedList = _ref => {
  let {
    data,
    selectedStyle,
    selectedTextStyle,
    unselectedStyle,
    unSelectedTextStyle,
    onPress
  } = _ref;
  return /*#__PURE__*/React.createElement(View, {
    style: styles.mainContainer
  }, data.map((item, index) => /*#__PURE__*/React.createElement(TouchableOpacity, {
    activeOpacity: 0.8,
    onPress: () => onPress(index),
    style: StyleSheet.flatten([styles.container, item.selected ? selectedStyle : unselectedStyle]),
    key: index
  }, /*#__PURE__*/React.createElement(Text, {
    style: StyleSheet.flatten([styles.labelStyle, item.selected ? selectedTextStyle : unSelectedTextStyle]),
    children: item.title
  }))));
};
const styles = StyleSheet.create({
  mainContainer: {
    flex: 1,
    flexDirection: 'row',
    flexWrap: 'wrap',
    marginLeft: 10
  },
  container: {
    alignContent: 'center',
    justifyContent: 'center',
    paddingHorizontal: 10,
    marginHorizontal: 6,
    marginVertical: 5,
    backgroundColor: '#C3C3C3'
  },
  labelStyle: {
    fontSize: 16,
    lineHeight: 40,
    textAlign: 'left',
    color: 'primaryGrey'
  }
});
//# sourceMappingURL=wrappedList.js.map